{
  "schema_version": "1.4.0",
  "id": "GHSA-hp9h-7wrh-x4j5",
  "modified": "2022-05-01T18:07:44Z",
  "published": "2022-05-01T18:07:44Z",
  "aliases": [
    "CVE-2007-2845"
  ],
  "details": "Heap-based buffer overflow in the CAB unpacker in avast! Anti-Virus Managed Client before 4.7.700 allows user-assisted remote attackers to execute arbitrary code via a crafted CAB archive, resulting from an \"integer cast around\".",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2845"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34477"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=full-disclosure&m=118000321419384&w=2"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/36523"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25380"
    },
    {
      "type": "WEB",
      "url": "http://www.avast.com/eng/adnm-management-client-revision-history.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/469469/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24132"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018108"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1935"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-05-24T18:30:00Z"
  }
}